summaryrefslogtreecommitdiff
path: root/tests/bogus-wctob
diff options
context:
space:
mode:
Diffstat (limited to 'tests/bogus-wctob')
-rwxr-xr-xtests/bogus-wctob17
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/bogus-wctob b/tests/bogus-wctob
new file mode 100755
index 0000000..6be6c39
--- /dev/null
+++ b/tests/bogus-wctob
@@ -0,0 +1,17 @@
+#!/bin/sh
+# This was latent in grep-2.8 and earlier because we punted interpretation
+# of MBCSETs to glibc. However, it becomes apparent as soon as "[à]" is
+# simplified to "à".
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+printf '\340' > in || framework_failure_
+fail=0
+
+LC_ALL=en_US.UTF-8 grep '[à]' in
+case $? in
+ 0) fail=1 ;;
+ 1) ;;
+ 2) framework_failure_ unexpected error from grep ;;
+esac
+
+Exit $fail